All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans
Class BaseImage

    com.sas.servlet.tbeans.BaseImage

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public abstract class BaseImage

The BaseImage is an abstract TransformationBean™ used to create an Image.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:Image custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `imageLocation`

Constructor Summary
`BaseImage()` Constructs a new BaseImage Transformation Bean

Method Summary
`java.lang.String` | `getAlignment()` Gets the alignment of the image.
`java.lang.String` | `getAlternateText()` Gets the alternate text of the image.
`int` | `getBorderWidth()` Gets the borderWidth of the image.
`java.lang.String` | `getDisabledImage()`
`java.lang.String` | `getDisabledImageName()`
`int` | `getHeight()` Gets the height of the image.
`int` | `getHeightPercentage()` Gets the height of the Image as a percentage
`int` | `getHorizontalSpace()` Gets the horizontal space of the image.
`java.lang.String` | `getImage()` Gets the source for the iamge.
`java.lang.String` | `getImageLocation()`
`java.lang.String` | `getImageName()`
`java.lang.String` | `getOnBlur()` Gets the onBlur event for the IMG tag.
`java.lang.String` | `getOnClick()` Gets the onClick event for the IMG tag.
`java.lang.String` | `getOnDblClick()` Gets the onDblClick event for the IMG tag
`java.lang.String` | `getOnFocus()` Gets the onFocus event for the IMG tag.
`java.lang.String` | `getOnKeyDown()` Gets the onKeyDown event for the IMG tag
`java.lang.String` | `getOnKeyPress()` Gets the onKeyPress event for the IMG tag
`java.lang.String` | `getOnKeyUp()` Gets the onKeyUp event for the IMG tag
`java.lang.String` | `getOnMouseDown()` Gets the onMouseDown event for the IMG tag.
`java.lang.String` | `getOnMouseMove()` Gets the onMouseMove event for the IMG tag.
`java.lang.String` | `getOnMouseOut()` Gets the onMouseOut event for the IMG tag.
`java.lang.String` | `getOnMouseOver()` Gets the onMouseOver event for the IMG tag.
`java.lang.String` | `getOnMouseUp()` Gets the onMouseUp event for the IMG tag
`StyleInfo` | `getStyleInfo()` Returns the style info for this image tag.
`java.lang.String` | `getTitle()` Gets the title of the IMG tag.
`int` | `getVerticalSpace()` Gets the vertical space of the image.
`int` | `getWidth()` Gets the width of the image.
`int` | `getWidthPercentage()` Gets the width of the Image as a percentage
`boolean` | `isEnabled()` Determines the enabled value associated with the image tag.
`void` | `setAlignment(java.lang.String value)` Sets the alignment for the image.
`void` | `setAlternateText(java.lang.String value)` Sets the alternate text for the image.
`void` | `setBorderWidth(int value)` Sets the borderWidth for the image.
`void` | `setDisabledImage(java.lang.String disabledImage)`
`void` | `setDisabledImageName(java.lang.String disabledImageName)`
`void` | `setEnabled(boolean value)` Sets the enabled attribute associated with the image tag.
`void` | `setHeight(int value)` Sets the height for the image.
`void` | `setHeightPercentage(int value)` Sets the height of the Image as a percentage
`void` | `setHorizontalSpace(int value)` Sets the horizontal space for the image.
`void` | `setImage(java.lang.String value)` Sets the source for the image.
`void` | `setImageLocation(java.lang.String imageLocation)`
`void` | `setImageName(java.lang.String imageName)`
`void` | `setOnBlur(java.lang.String value)` Sets the onBlur event for the IMG tag.
`void` | `setOnClick(java.lang.String value)` Sets the onClick event for the IMG tag.
`void` | `setOnDblClick(java.lang.String value)` Sets the onDblClick event for the IMG tag.
`void` | `setOnFocus(java.lang.String value)` Sets the onFocus event for the IMG tag.
`void` | `setOnKeyDown(java.lang.String value)` Sets the onKeyDown event for the IMG tag.
`void` | `setOnKeyPress(java.lang.String value)` Sets the onKeyPress event for the IMG tag.
`void` | `setOnKeyUp(java.lang.String value)` Sets the onKeyUp event for the IMG tag.
`void` | `setOnMouseDown(java.lang.String value)` Sets the onMouseDown event for the IMG tag.
`void` | `setOnMouseMove(java.lang.String value)` Sets the onMouseMove event for the IMG tag.
`void` | `setOnMouseOut(java.lang.String value)` Sets the onMouseOut event for the IMG tag.
`void` | `setOnMouseOver(java.lang.String value)` Sets the onMouseOver event for the IMG tag.
`void` | `setOnMouseUp(java.lang.String value)` Sets the onMouseUp event for the IMG tag.
`void` | `setStyleInfo(StyleInfo styleInfo)` Sets the style info for this image tag.
`void` | `setTitle(java.lang.String value)` Sets the title for the IMG tag.
`void` | `setVerticalSpace(int value)` Sets the vertical space for the image.
`void` | `setWidth(int value)` Sets the width for the image.
`void` | `setWidthPercentage(int value)` Sets the width of the Image as a percentage

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write, write`

Field Detail

### imageLocation

    protected java.lang.String imageLocation

Constructor Detail

### BaseImage

    public BaseImage()

  Constructs a new BaseImage Transformation Bean

Method Detail

### setImage

    public void setImage(java.lang.String value)

  Sets the source for the image.

  Parameters:
    `type` - The URL of the image

### getImage

    public java.lang.String getImage()

  Gets the source for the iamge.

  Returns:
    The URL of the image

### setAlternateText

    public void setAlternateText(java.lang.String value)

  Sets the alternate text for the image.

  Parameters:
    `text` - The alternate text of the image

### getAlternateText

    public java.lang.String getAlternateText()

  Gets the alternate text of the image.

  Returns:
    The alternate text of the image

### setAlignment

    public void setAlignment(java.lang.String value)

  Sets the alignment for the image.

  Parameters:
    `align` - The alignment of the image (top, bottom, middle, left, right)

### getAlignment

    public java.lang.String getAlignment()

  Gets the alignment of the image.

  Returns:
    The alignment of the image

### setWidth

    public void setWidth(int value)

  Sets the width for the image.

  Parameters:
    `width` - The width of the image

### getWidth

    public int getWidth()

  Gets the width of the image.

  Returns:
    The width of the image

### setWidthPercentage

    public void setWidthPercentage(int value)

  Sets the width of the Image as a percentage

  Parameters:
    `value` - The width as a percentage

### getWidthPercentage

    public int getWidthPercentage()

  Gets the width of the Image as a percentage

  Returns:
    The width as a percentage

### setHeight

    public void setHeight(int value)

  Sets the height for the image.

  Parameters:
    `value` - The height of the image

### getHeight

    public int getHeight()

  Gets the height of the image.

  Returns:
    The height of the image

### setHeightPercentage

    public void setHeightPercentage(int value)

  Sets the height of the Image as a percentage

  Parameters:
    `value` - The height as a percentage

### getHeightPercentage

    public int getHeightPercentage()

  Gets the height of the Image as a percentage

  Returns:
    The height as a percentage

### setHorizontalSpace

    public void setHorizontalSpace(int value)

  Sets the horizontal space for the image.

  Parameters:
    `hspace` - The horizontal space of the image

### getHorizontalSpace

    public int getHorizontalSpace()

  Gets the horizontal space of the image.

  Returns:
    The horizontal space of the image

### setVerticalSpace

    public void setVerticalSpace(int value)

  Sets the vertical space for the image.

  Parameters:
    `hspace` - The vertical space of the image

### getVerticalSpace

    public int getVerticalSpace()

  Gets the vertical space of the image.

  Returns:
    The vertical space of the image

### setBorderWidth

    public void setBorderWidth(int value)

  Sets the borderWidth for the image.

  Parameters:
    `borderWidth` - The border width of the image

### getBorderWidth

    public int getBorderWidth()

  Gets the borderWidth of the image.

  Returns:
    The border width of the image

### getStyleInfo

    public StyleInfo getStyleInfo()

  Returns the style info for this image tag.

  Returns:
    style used for this image tag

### setStyleInfo

    public void setStyleInfo(StyleInfo styleInfo)

  Sets the style info for this image tag.

  Parameters:
    `styleInfo` - The style for this image tag

### setEnabled

    public void setEnabled(boolean value)

  Sets the enabled attribute associated with the image tag. True by default. Setting to false will disabled the image tag.

  Parameters:
    `value` - The enabled value

### isEnabled

    public boolean isEnabled()

  Determines the enabled value associated with the image tag.

  Returns:
    The enabled value

### getDisabledImage

    public java.lang.String getDisabledImage()

  Returns:
    Returns the disabledImage.

### setDisabledImage

    public void setDisabledImage(java.lang.String disabledImage)

  Parameters:
    `disabledImage` - The disabledImage to set.

### getDisabledImageName

    public java.lang.String getDisabledImageName()

  Returns:
    Returns the disabledImageName.

### setDisabledImageName

    public void setDisabledImageName(java.lang.String disabledImageName)

  Parameters:
    `disabledImageName` - The disabledImageName to set.

### getImageLocation

    public java.lang.String getImageLocation()

  Returns:
    Returns the imageLocation.

### setImageLocation

    public void setImageLocation(java.lang.String imageLocation)

  Parameters:
    `imageLocation` - The imageLocation to set.

### getImageName

    public java.lang.String getImageName()

  Returns:
    Returns the imageName.

### setImageName

    public void setImageName(java.lang.String imageName)

  Parameters:
    `imageName` - The imageName to set.

### setOnBlur

    public void setOnBlur(java.lang.String value)

  Sets the onBlur event for the IMG tag. The onBlur event handler executes the specified JavaScript code or function on the occurance of a blur event. This is when a image loses focus. This can be caused by the user clicking outside of the image, by using the TAB key to cycle through the various elements on screen, or a call to the blur method on the IMG tag.

  Parameters:
    `value` - The onBlur event

### getOnBlur

    public java.lang.String getOnBlur()

  Gets the onBlur event for the IMG tag.

  Returns:
    The onBlur event

### setOnClick

    public void setOnClick(java.lang.String value)

  Sets the onClick event for the IMG tag. The onClick event handler executes the specified JavaScript code or function on the occurance of a click event.

  Parameters:
    `value` - The onClick event

### getOnClick

    public java.lang.String getOnClick()

  Gets the onClick event for the IMG tag.

  Returns:
    The onClick event

### setOnDblClick

    public void setOnDblClick(java.lang.String value)

  Sets the onDblClick event for the IMG tag. The onDblClick event handler executes the specified JavaScript code or function on the occurance of a double click event.

  Parameters:
    `value` - The onDblClick event

### getOnDblClick

    public java.lang.String getOnDblClick()

  Gets the onDblClick event for the IMG tag

  Returns:
    The onDblClick event

### setOnFocus

    public void setOnFocus(java.lang.String value)

  Sets the onFocus event for the IMG tag. The onFocus event handler executes the specified JavaScript code or function on the occurance of a focus event. This is when a IMG tag is given focus. This can be caused by the user clicking on the IMG tag, by using the TAB key to cycle through the various elements on screen, or by a call to the focus method on the element.

  Parameters:
    `value` - The onFocus event

### getOnFocus

    public java.lang.String getOnFocus()

  Gets the onFocus event for the IMG tag.

  Returns:
    The onFocus event

### setOnMouseOut

    public void setOnMouseOut(java.lang.String value)

  Sets the onMouseOut event for the IMG tag. The onMouseOut event handler is used to execute specified Javascript code whenever the user moves the mouse out of a IMG tag from inside that IMG tag.

  Parameters:
    `value` - The onMouseOut event

### getOnMouseOut

    public java.lang.String getOnMouseOut()

  Gets the onMouseOut event for the IMG tag.

  Returns:
    The onMouseOut event

### setOnMouseOver

    public void setOnMouseOver(java.lang.String value)

  Sets the onMouseOver event for the IMG tag. The onMouseOver event handler is used to execute specified Javascript code whenever the user moves the mouse over a IMG tag from outside that IMG tag.

  Parameters:
    `value` - The onMouseOver event

### getOnMouseOver

    public java.lang.String getOnMouseOver()

  Gets the onMouseOver event for the IMG tag.

  Returns:
    The onMouseOver event

### setOnMouseDown

    public void setOnMouseDown(java.lang.String value)

  Sets the onMouseDown event for the IMG tag. The onMouseDown event handler is used to execute specified Javascript code whenever the user depresses a mouse button.

  Parameters:
    `value` - The onMouseDown event

### getOnMouseDown

    public java.lang.String getOnMouseDown()

  Gets the onMouseDown event for the IMG tag.

  Returns:
    The onMouseDown event

### setOnMouseUp

    public void setOnMouseUp(java.lang.String value)

  Sets the onMouseUp event for the IMG tag. The onMouseUp event handler is used to execute specified JavaScript code whenever the user releases the mouse button.

  Parameters:
    `value` - The onMouseUp event

### getOnMouseUp

    public java.lang.String getOnMouseUp()

  Gets the onMouseUp event for the IMG tag

  Returns:
    The onMouseUp event

### setOnMouseMove

    public void setOnMouseMove(java.lang.String value)

  Sets the onMouseMove event for the IMG tag. The onMouseMove event handler is used to execute specified Javascript code whenever the mouse is moved.

  Parameters:
    `value` - The onMouseMove event

### getOnMouseMove

    public java.lang.String getOnMouseMove()

  Gets the onMouseMove event for the IMG tag.

  Returns:
    The onMouseMove event

### setOnKeyDown

    public void setOnKeyDown(java.lang.String value)

  Sets the onKeyDown event for the IMG tag. The onKeyDown event handler executes the specified JavaScript code or function on the occurance of a KeyDown event. A KeyDown event occurs when the user depresses a key.

  Parameters:
    `value` - The onKeyDown event

### getOnKeyDown

    public java.lang.String getOnKeyDown()

  Gets the onKeyDown event for the IMG tag

  Returns:
    The onKeyDown event

### setOnKeyPress

    public void setOnKeyPress(java.lang.String value)

  Sets the onKeyPress event for the IMG tag. The onKeyPress event handler executes the specified JavaScript code or function on the occurance of a KeyPress event. A KeyPress event occurs when the user presses or holds down a key.

  Parameters:
    `value` - The onKeyPress event

### getOnKeyPress

    public java.lang.String getOnKeyPress()

  Gets the onKeyPress event for the IMG tag

  Returns:
    The onKeyPress event

### setOnKeyUp

    public void setOnKeyUp(java.lang.String value)

  Sets the onKeyUp event for the IMG tag. The onKeyUp event handler executes the specified JavaScript code or function on the occurance of a KeyUp event. A KeyUp event occurs when the user releases a key from its depressed position.

  Parameters:
    `value` - The onKeyUp event

### getOnKeyUp

    public java.lang.String getOnKeyUp()

  Gets the onKeyUp event for the IMG tag

  Returns:
    The onKeyUp event

### setTitle

    public void setTitle(java.lang.String value)

  Sets the title for the IMG tag. This attribute offers advisory information about the element for which it is set.

  Parameters:
    `value` - The title of the IMG tag

### getTitle

    public java.lang.String getTitle()

  Gets the title of the IMG tag.

  Returns:
    The title of the IMG tag.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.